Skip to main content
GET
cURL

Authorizations

api-key
string
header
required

The valid CreatorDB API key for authentication.

Query Parameters

videoId
string
required

The unique YouTube video ID (length: 11 characters).

Required string length: 11
Pattern: ^[a-zA-Z0-9_-]{11}$
Example:

"icxrUIGoEg8"

Response

Metadata of YouTube subtitles returned successfully.

YouTube Subtitle Meta API response - available subtitle metadata for a video

data
object
required

Subtitle metadata for the video.

creditsUsed
integer
required

Number of API credits consumed by this request.

Example:

1

creditsAvailable
integer
required

Number of API credits remaining.

Example:

-1

traceId
string
required

Unique trace ID for each request.

Example:

"f8e4a3b2c1d0e9f8a7b6c5d4e3f2a1b0"

timestamp
integer
required

Time the response was generated, represented as a Unix timestamp in milliseconds.

Example:

1750732453635

errorCode
string
required

Error code returned if the request fails. Empty if the request is successful.

Example:

""

errorDescription
string
required

Description of the error. Empty if the request is successful.

Example:

""

success
boolean
required

true if the request is successful.

Example:

true

Last modified on July 28, 2026